-- About Bing Images.lua
--
-- Author:  Bill Jones III, SUNY Geneseo, IDS Project, jonesw@geneseo.edu
-- Bing Images.lua does an ISBN or Title search of Bing Image Search to find an image of the item.
-- scriptActive must be set to true for the script to run.
-- autoSearch (boolean) determines whether the search is performed automatically when a request is opened or not.
--
-- set autoSearch to true for this script to automatically run the search when the request is opened.

local settings = {};
settings.autoSearch = GetSetting("AutoSearch");
settings.scriptActive = GetSetting("Active");
local interfaceMngr = nil;
local BingForm = {};
BingForm.Form = nil;
BingForm.Browser = nil;
BingForm.RibbonPage = nil;



function Init()
	if settings.scriptActive then
		if GetFieldValue("Transaction", "RequestType") == "Loan" then
			interfaceMngr = GetInterfaceManager();
			
			-- Create browser
			BingForm.Form = interfaceMngr:CreateForm("Bing Images", "Script");
			BingForm.Browser = BingForm.Form:CreateBrowser("Bing Search", "Bing", "Bing Images");
			
			-- Hide the text label
			BingForm.Browser.TextVisible = false;
			
			--Suppress Javascript errors
			BingForm.Browser.WebBrowser.ScriptErrorsSuppressed = true;
			
			-- Since we didn't create a ribbon explicitly before creating our browser, it will have created one using the name we passed the CreateBrowser method.  We can retrieve that one and add our buttons to it.
			BingForm.RibbonPage = BingForm.Form:GetRibbonPage("Bing Images");
			BingForm.RibbonPage:CreateButton("Search", GetClientImage("Search32"), "Search", "Bing Images");
            BingForm.Form:Show();
            
			if settings.autoSearch then
				Search();
			end
		end
	end
end

function Search()
	if GetFieldValue("Transaction", "ISSN") ~= "" then
		BingForm.Browser:Navigate("http://www.bing.com/images/search?q=" .. GetFieldValue("Transaction", "ISSN"));
	else
		BingForm.Browser:Navigate("http://www.bing.com/images/search?q=" .. GetFieldValue("Transaction", "LoanTitle"));
    end
end
